<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 29 17:33:32 CEST 2017 -->
<title>RucksackGUIController</title>
<meta name="date" content="2017-05-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RucksackGUIController";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RucksackGUIController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../gui/Main.html" title="class in gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?gui/RucksackGUIController.html" target="_top">Frames</a></li>
<li><a href="RucksackGUIController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">gui</div>
<h2 title="Class RucksackGUIController" class="title">Class RucksackGUIController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>gui.RucksackGUIController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">RucksackGUIController</span>
extends java.lang.Object</pre>
<div class="block">Controller Class for 'RucksackGUI.xml'.
  Implements all control elements for the GUI,
  which is defined in 'RucksackGUI.fxml'.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#RucksackGUIController--">RucksackGUIController</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#b_addItem-javafx.event.ActionEvent-">b_addItem</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the button for adding a defined item via textfields.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#b_setCapacity-javafx.event.ActionEvent-">b_setCapacity</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the button for setting the knapsack capacity.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#b_solve-javafx.event.ActionEvent-">b_solve</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the button for creating a solution under the current strategy.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#badGreedy-javafx.event.ActionEvent-">badGreedy</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the menu entry for showing an example that Greedy is not optimal.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#clearAll-javafx.event.ActionEvent-">clearAll</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the menu entry for clearing the whole knapsack.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#generateData-javafx.event.ActionEvent-">generateData</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the menu entry for generating sample data out of user input.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#importData-javafx.event.ActionEvent-">importData</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the Menu entry for importing data via a csv-file.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#initialize--">initialize</a></span>()</code>
<div class="block">Initializing GUI elements.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#printSolution-javafx.event.ActionEvent-">printSolution</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the menu entry for solution output.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#removeSelectedItem-javafx.event.ActionEvent-">removeSelectedItem</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the menu entry for deleting a single available item.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#sampleData-javafx.event.ActionEvent-">sampleData</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</code>
<div class="block">Represents the menu entry for adding example data.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RucksackGUIController--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RucksackGUIController</h4>
<pre>public&nbsp;RucksackGUIController()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="initialize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initialize</h4>
<pre>void&nbsp;initialize()</pre>
<div class="block">Initializing GUI elements.</div>
</li>
</ul>
<a name="importData-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importData</h4>
<pre>void&nbsp;importData(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the Menu entry for importing data via a csv-file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="printSolution-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printSolution</h4>
<pre>void&nbsp;printSolution(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the menu entry for solution output.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="clearAll-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearAll</h4>
<pre>void&nbsp;clearAll(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the menu entry for clearing the whole knapsack.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="removeSelectedItem-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeSelectedItem</h4>
<pre>void&nbsp;removeSelectedItem(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the menu entry for deleting a single available item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="badGreedy-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>badGreedy</h4>
<pre>void&nbsp;badGreedy(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the menu entry for showing an example that Greedy is not optimal.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="sampleData-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sampleData</h4>
<pre>void&nbsp;sampleData(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the menu entry for adding example data.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="generateData-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateData</h4>
<pre>void&nbsp;generateData(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the menu entry for generating sample data out of user input.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="b_setCapacity-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>b_setCapacity</h4>
<pre>void&nbsp;b_setCapacity(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the button for setting the knapsack capacity.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="b_addItem-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>b_addItem</h4>
<pre>void&nbsp;b_addItem(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the button for adding a defined item via textfields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
<a name="b_solve-javafx.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>b_solve</h4>
<pre>void&nbsp;b_solve(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/event/ActionEvent.html?is-external=true" title="class or interface in javafx.event">ActionEvent</a>&nbsp;event)</pre>
<div class="block">Represents the button for creating a solution under the current strategy.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - ActionEvent</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RucksackGUIController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../gui/Main.html" title="class in gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?gui/RucksackGUIController.html" target="_top">Frames</a></li>
<li><a href="RucksackGUIController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
